Page MenuHomePhabricator

Disable upload dialog in zhwiki
Closed, ResolvedPublic

Description

Per local discussion, please disable the "upload dialog" in zhwiki. We want direct users to use the File Upload Wizard.

Related old discussion: Local discussion in 2016. T139257.

Event Timeline

A2093064 created this task.Oct 31 2018, 1:02 PM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptOct 31 2018, 1:02 PM
Zest added a subscriber: Zest.Oct 31 2018, 2:52 PM

What is the "upload dialog" in zhwiki?

I'm afraid this is not doable by any existing configuration variable. Do you know about a wiki, that is configured as you want?

According to Upload dialog#Configuration (for wiki sysadmins), Manual:$wgForeignUploadTargets and discussion in T139257. I think setting $wgForeignUploadTargets = [] is what we want.

Change 470985 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Set wgForeignUploadTargets to [] for zhwiki

https://gerrit.wikimedia.org/r/470985

Urbanecm claimed this task.Nov 1 2018, 8:25 AM
Urbanecm triaged this task as Low priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptNov 1 2018, 8:25 AM

Still keeping under Analysis / under discussion, as I asked for reviews of my patch.

Patch reviewed, scheduled for tomorrow.

Change 470985 merged by jenkins-bot:
[operations/mediawiki-config@master] Set wgForeignUploadTargets to [] for zhwiki

https://gerrit.wikimedia.org/r/470985

Mentioned in SAL (#wikimedia-operations) [2018-11-05T12:16:23Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:470985|Set wgForeignUploadTargets to [] for zhwiki (T208397)]] (duration: 00m 54s)

Urbanecm closed this task as Resolved.Nov 5 2018, 12:30 PM